#include <bits/stdc++.h>

using namespace std;
using ll = long long;
const int inf = 1e9;
// const ll inf = 1e18;

void solve() {
    cout << -1;
}

int main() {
    cin.tie(0);
    cout.tie(0);
    cin.sync_with_stdio(0);
    cout.sync_with_stdio(0);

    int d = 1;
    // cin >> d;

    while(d--) {
        solve();
        cout << "\n";
    }
}
